{% extends "base.html" %}
{% load vstatic %}
{% load crispy_forms_tags %}
{% load organizacao_tags %}
{% block content %}
    <h2>
        Municípios {{ filter_usuaria }} {{ filter_estado }} {{ filter_municipio }}
        {% if organizacao %}- Organização <i>{{ organizacao }}</i>{% endif %}
        {% if filter_estado or filter_usuaria or filter_municipio %}
            <a href="{% prefix_url_organizacao %}{% url 'MunicipioList' %}"
               class="btn btn-primary pull-right">
                <i class="fa fa-arrow-left"></i> Ver todos
            </a>
        {% endif %}
    </h2>
    <table class="table table-bordered table-striped table-condensed"
           id="object_datatable">
        <thead>
            <tr>
                <th>Revisor/a</th>
                <th>Município</th>
                <th>Estado</th>
                <th>Comunidades</th>
            </tr>
        </thead>
        <tbody>
        </tbody>
    </table>
    <div id="revisora-associar-modal"
         class="modal fade bs-example-modal-sm"
         role="dialog"
         style="display: none"
         aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" style="float: left; font-size: 16px"></h4>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">×</span>
                    </button>
                </div>
                <div class="modal-body">{% crispy form %}</div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Fechar</button>
                    <button type="button" class="btn btn-primary" id="revisora-associar-submit">Salvar</button>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}
{% block includes_footer %}
    <script>
        var urlParams = new URLSearchParams(window.location.search);
        var querystring = urlParams.toString();
        DATATABLE_URL = `{% prefix_url_organizacao %}{% url "MunicipioDatatableList" %}?${querystring}`;
    </script>
    <script type="text/javascript"
            src="{% vstatic 'main/js/municipios_list.js' %}"></script>
    <script type="text/javascript"
            src="{% vstatic 'main/js/revisora_des_associar.js' %}"></script>
{% endblock includes_footer %}
